This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 443082

Summary: mkinitrd doesn't unlock encrypted resume device first
Product: [Fedora] Fedora Reporter: Stefan Becker <chemobejk>
Component: mkinitrdAssignee: David Lehman <dlehman>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: dcantrell, pjones, wtogami
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 11:16:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    
Attachments:
Description Flags
unlock & resume from encrypted swap before anything else none

Description Stefan Becker 2008-04-18 11:17:18 EDT
+++ This bug was initially created as a clone of Bug #441001 +++

Version information: mkinitrd-6.0.47-1.fc9.i386

The order of the cryptsetup commands is not really nice for resuming from
hibernation: you first have to enter the password for the root partition, but
that isn't required. I.e. init now has:

echo Setting up disk encryption: /dev/mapper/VolGroup00-LogVol03
cryptsetup luksOpen /dev/mapper/VolGroup00-LogVol03 luks-VolGroup00-LogVol03
echo Setting up disk encryption: /dev/mapper/VolGroup00-LogVol01
cryptsetup luksOpen /dev/mapper/VolGroup00-LogVol01 luks-VolGroup00-LogVol01

resume /dev/mapper/luks-VolGroup00-LogVol01
echo Creating root device.
mkrootdev -t ext3 -o defaults,ro /dev/mapper/luks-VolGroup00-LogVol03


but it should read instead:


echo Setting up disk encryption: /dev/mapper/VolGroup00-LogVol01
cryptsetup luksOpen /dev/mapper/VolGroup00-LogVol01 luks-VolGroup00-LogVol01
resume /dev/mapper/luks-VolGroup00-LogVol01

echo Setting up disk encryption: /dev/mapper/VolGroup00-LogVol03
cryptsetup luksOpen /dev/mapper/VolGroup00-LogVol03 luks-VolGroup00-LogVol03
echo Creating root device.
mkrootdev -t ext3 -o defaults,ro /dev/mapper/luks-VolGroup00-LogVol03


So mkinitrd should first dump the cryptsetup for swap, then the resume command
and then the rest of the cryptsetup commands. The attached patch is my
implementation proposal to fix this problem. I have verified it on my laptop.
Comment 1 Stefan Becker 2008-04-18 11:17:18 EDT
Created attachment 302892 [details]
unlock & resume from encrypted swap before anything else
Comment 2 Bug Zapper 2008-05-14 05:39:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:15:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:16:32 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.